package com.application.DB;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

import static org.junit.jupiter.api.Assertions.*;

class DBTest {

    DBTest(){
        Constants.TREE_SPECIES = "Gran";
        Constants.DIMENSIONS = "47x200";
        Constants.SAWSET = "2ex";
        Constants.MOISTURE_GOAL = "16";
        Constants.CURRENT_DATE = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss").format(LocalDateTime.now());
        Constants.START_TIME = Constants.CURRENT_DATE;
        Constants.STOP_TIME = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss").format(LocalDateTime.now());
    }

    @Test
    void setInputParameters() throws Exception {
        Assertions.assertEquals(2, DB.setInputParameters().size());
    }

    @Test
    void getCurrentDrying() throws Exception {
        Assertions.assertEquals(0, DB.getCurrentDrying().size());
    }
}